it-swarm-es.com

WordPress 3.0.1 problema de actualización automática

Mi WordPress ahora está en la versión 2.7. Quiero actualizarlo a 3.0.1 usando la función de actualización automática. Estoy usando el tipo de conexión FTPS.

La actualización debería ser sencilla, sin embargo, sigo encontrando este error:

Instalación fallida al descargar la actualización desde http://wordpress.org/wordpress-3.0.1.Zip ...

Desembalando la actualización ...

Verificando los archivos desempaquetados ...

Instalando la última versión ...

No se pudo copiar el archivo .: /wp-admin/css/theme-editor.dev.css

Instalación fallida

He comprobado el permiso para la carpeta /wp-admin/css, y está configurado en 777.

¿Cuál es el problema? He buscado en Internet, pero parece que muchas personastienen el mismo problema .

¿Algunas ideas?

2
Graviton

La actualización automática no siempre funciona, casi siempre funciona. Acabo de actualizar manualmente y no me preocupo por eso. Las pocas veces que he tenido una falla de actualización automática, tiene éxito la próxima vez que sale una nueva versión (después de que me actualice manualmente durante la rotura).

2
curtismchale

Hay un parche (http://core.trac.wordpress.org/ticket/10913) para WordPress que debería incluir 3.2 y ayudar a corregir este error de actualización para la mayoría de las personas que se ejecutan en él. Solo parece suceder con servidores que ejecutan Pure-FTPd. Mientras tanto, hay un complemento que debería ayudar a reparar las actualizaciones para la mayoría de las personas: http://wordpress.org/extend/plugins/ftp-upgrade-fix/

2
user3757

Verifique el propietario del archivo/s que puede tener configurado 777, pero si el servicio ftp no está en el grupo de propietarios o el propietario, este puede ser su problema.

Debe hacer telnet en el servidor web para verificar/solucionar esto us ls -l para ver si la configuración es la forma en que lo cambia

0
Pbearne

Intenté todo para la actualización automática que se mencionó en wordpress.org/support/topic/upgrade-gone-worng-pls-help, pero fue en vano.

En su lugar, realicé una actualización manual más o menos siguiendo las instrucciones en codex.wordpress.org/Upgrading_WordPress. En lugar de usar FTP, utilicé mi proveedor de hosting CPanel - luego blogueé los pasos que tomé para que otros pudieran beneficiarse, consulte http://misterjaytee.com/2010/09/11/errors -updating-wordpress .

Esperemos que la próxima actualización automática funcione correctamente, pero si no, ahora tengo la confianza de hacer la actualización manualmente.

0
misterjaytee
0
Nabeel

Compruebe los permisos en el archivo al que se hace referencia. En este caso: /wp-admin/css/theme-editor.dev.css.

0
artlung